Ticket #1550 (closed defeito: fixed)

Opened 11 years ago

Last modified 11 years ago

Instalação e atualização do Expresso não funciona corretamente.

Reported by: niltonneto Owned by: niltonneto
Priority: alta Milestone: Expresso 2.2.0-pre2
Component: API Version: branch 2.2
Severity: grave Keywords: setup install script dump
Cc: WorkGroup: Centro de Testes

Description

O problema é decorrente dos dados desatualizados nos seguintes itens:

1 - Número errado da versão do header.inc.php e no setup.inc.php dos novos módulos (FileManager?, listAdmin e reports);

2 - Número errado da versão dos módulos e API no arquivo 'expresso.dump' (tabela phpgw_applications);

3 - Novos módulos (FileManager?, listAdmin e reports) não estão instalados no arquivo 'expresso.dump';

Change History

comment:1 Changed 11 years ago by niltonneto

Corrigido em [3760] número da versão em header.inc.php, para evitar atualização do mesmo após a instalação.

comment:2 Changed 11 years ago by niltonneto

Modificado em [3762] arquivo expresso.dump. Alterações relevantes para esta versão:

- Adicionado informações sobre os novos módulos FileManager, ListAdmin e Reports;
- Adicionado novas frases dos arquivos lang;
- Incrementado versões de todos os módulos e API para 2.2.0;
- Adicionado colunas category, web_page character, corporate_name, job_title, department na tabela phpgw_cc_contact;
- Adicionado colunas imapdefaultspamfolder, imapcreatespamfolder, imapcyrususerpostspam na tabela phpgw_emailadmin;
- Adicionado colunas content, type, summary na tabela phpgw_vfs;
- Removido coluna wf_parent_activity_id da tabela egw_wf_interinstance_relations;
- Adicionado tabela phpgw_vfs_quota;
- Adicionado tabela phpgw_filemanager_notification;
- Adicionado sequence seq_phpgw_filemanager_notification para tabela phpgw_filemanager_notification;
- Adicionado constraint phpgw_vfs_quota_pkey;
- Adicionado constraint phpgw_filemanager_notification_pkey;

comment:3 Changed 11 years ago by niltonneto

Corrigido em [3763] número da versão dos novos módulos ListAdmin? e Reports.

comment:4 Changed 11 years ago by niltonneto

Removido em [3764] arquivos tables_update.inc.php desnecessários nos módulos listAdmin e Reports.

comment:5 Changed 11 years ago by niltonneto

Modificado em [3765] arquivo tables_update.inc.php da API e dos módulos Calendar, Contact Center e Expresso Mail, necessários para atualização do Expresso 2.0 para a versão 2.2.

comment:6 Changed 11 years ago by niltonneto

Removido em [3769] rotina duplicada na instalação do módulo FileManager?, que ficava dentro do tables_update da API, gerando erro na execução. O correto é sempre ficar dentro do módulo para que possa ser instalado/removido separadamente.

comment:7 Changed 11 years ago by niltonneto

  • Summary changed from Problema durante instalação do Expresso pelo script to Instalação e atualização do Expresso não funciona corretamente.

comment:8 Changed 11 years ago by niltonneto

  • WorkGroup set to Centro de Testes

Testei a instalação e a atualização para versão 2.2.0 nas seguintes situações:

- Instalação pelo script no Debian Lenny;
- Instalação pelo script no Debian Squeeze;
- Atualização a partir da versão 2.0.2;
- Atualização a partir da versão 2.0.9;

comment:9 Changed 11 years ago by niltonneto

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.